Galon Cloud
Galon API v1

/storage/buckets/{bucket_id}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /storage/buckets/{bucket_id}

Get a bucket

Exact scope storage:read. Hidden surface: 404 not_found until the Galon Object opt-in is enabled.

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
bucket_idpathstring · required

Responses

StatusDescriptionBody
200BucketStorageBucket
401Key missing or invalidError
403scope_missing (storage:read)Error
404storage_bucket_not_found, not_foundError
503storage_temporarily_unavailableError

Examples

curl

curl -X GET "$GALON_API_BASE/storage/buckets/<bucket_id>" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.buckets.get("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.buckets.get("<id>")